{ ... }:
{
  custom.nextcloud_domain = "idacloud.sinerva.eu";
  services.nextcloud.settings.trusted_domains = [ "idacloud.vsinerva.fi" ];
  custom.collabora_domain = "idacollab.sinerva.eu";

  imports = [
    ../../shared/base.nix
    ../../shared/hardware/vm.nix
    ../../servers/nextcloud.nix
  ];

  # Networking conf including WireGuard
  networking = {
    firewall.allowedUDPPorts = [ 51822 ];

    wg-quick.interfaces = {
      wg0 = {
        address = [ "10.1.0.1/24" ];
        privateKeyFile = "/root/wireguard-keys/privatekey";
        listenPort = 51822;

        peers = [
          # Laptop
          {
            publicKey = "qJl6XBAGlmGHLre+RoCLUsZUrOrDgGoinREHFiw29ys=";
            presharedKeyFile = "/root/wireguard-keys/psk1";
            allowedIPs = [ "10.1.0.2/32" ];
          }
          # Phone
          #          {
          #            publicKey = "TODO";
          #            presharedKeyFile = "/root/wireguard-keys/psk2";
          #            allowedIPs = [ "10.1.0.3/32" ];
          #          }
        ];
      };
    };
  };
}
