{ lib, ... }:
{
  options.services.nginx.virtualHosts = lib.mkOption {
    type = lib.types.attrsOf (
      lib.types.submodule {
        config = lib.mkDefault {
          enableACME = true;
        };
      }
    );
  };

  config = {
    networking.firewall.allowedTCPPorts = [ 80 ];

    security.acme = {
      acceptTerms = true;
      defaults.email = "vili.m.sinerva@gmail.com";
    };
  };
}
